Please sync sympa (universe) from unstable (main)

Bug #82839 reported by Andrew Mitchell on 2007-02-02
4
Affects Status Importance Assigned to Milestone
sympa (Ubuntu)
Undecided
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects distros/ubuntu/sympa
 status confirmed
 subscribe ubuntu-archive

Please sync sympa (universe) from Debian unstable (main).

Changelog since current feisty version 4.1.5-8:

sympa (5.2.3-1.2) unstable; urgency=low

  * Non-maintainer upload to re-fix l10n issues
  * As debconf-updatepo was not run in previous versions, the French
    translation was outdated. Hence fix it.
  * Remove several duplicate spaces in the debconf templates

 -- Christian Perrier <email address hidden> Sat, 20 Jan 2007 18:09:28 +0100

sympa (5.2.3-1.1) unstable; urgency=low

  * Non-maintainer upload to fix l10n issues
  * Run debconf-updatepo in the clean target to guarantee up-to-date
    debconf templates. Closes: #404372
  * Debconf templates translations:
    - French updated. Closes: #404373

 -- Christian Perrier <email address hidden> Sat, 20 Jan 2007 12:22:51 +0100

sympa (5.2.3-1) unstable; urgency=medium

  * updated package targeted for etch (Closes: #354355)
  * run database script after possible webserver restart (Closes: #404140,
    thanks to Jean Charles Delepine <email address hidden> for the
    report and the patch)

 -- Stefan Hornburg (Racke) <email address hidden> Thu, 28 Dec 2006 11:19:00 +0100

sympa (5.2.3-0.8) experimental; urgency=low

  * fix broken language in wwsympa/fastcgi Debconf template
  * fix postrm problem if sympa-soap link is missing (Closes: #404169)
  * ensure that sympa user is used instead of root (Closes: #404016, thanks to
    Jean Charles Delepine <email address hidden> for the report)
  * /etc/sympa/facility is used again to determine syslog facility in the
    default configuration (Closes: #403920, thanks to Delepine
    <email address hidden> for the report)
  * use invoke-rc.d instead of calling sysklogd init script directly
  * remove obsolete directories (Closes: #404203, thanks to
    Jean Charles Delepine <email address hidden> for the report and the
    patch)
  * use explicit dependency on debhelper to keep lintian happy
  * update standards version
  * display error messages if --prepare_db call fails

 -- Stefan Hornburg (Racke) <email address hidden> Fri, 22 Dec 2006 21:16:02 +0100

sympa (5.2.3-0.7) experimental; urgency=low

  * updated French translation of Debconf templates (Closes: #403989,
    thanks to Christian Perrier <email address hidden>)
  * support for Sympa SOAP server added (Closes: #296283)
  * support for Apache2 improved (FastCGI, postrm script)

 -- Stefan Hornburg (Racke) <email address hidden> Thu, 21 Dec 2006 14:39:36 +0100

sympa (5.2.3-0.6) experimental; urgency=low

  * fix authorization_reject symbolic link (Closes: #403909, thanks to
    Jean Charles Delepine <email address hidden> for the report and the
    patch)
  * suppress adduser warnings on creating sympa user (Closes: #403925,
    thanks to Jean Charles Delepine <email address hidden> for the
    report and the patch)
  * suppress error messages from --prepare_db call during installation
    (Closes: #403924, thanks to Jean Charles Delepine
    <email address hidden> for the report and the patch)

 -- Stefan Hornburg (Racke) <email address hidden> Wed, 20 Dec 2006 23:15:42 +0100

sympa (5.2.3-0.5) experimental; urgency=low

  * remove spurious arc and bounce directories from /usr/lib/sympa
  * ensure proper creation and removal of /etc/sympa/data_structure.version
  * really use supplied administration password on database creation
    (Closes: #336157)

 -- Stefan Hornburg (Racke) <email address hidden> Wed, 20 Dec 2006 11:55:20 +0100

sympa (5.2.3-0.4) experimental; urgency=low

  * remove notorious heuristics to determine whether database admin
    password is needed (Closes: #192120, #285449, #336157)
  * language selection based on the actual available languages
  * fixed failure to preserve wwsympa_url setting

 -- Stefan Hornburg (Racke) <email address hidden> Tue, 19 Dec 2006 15:47:20 +0100

sympa (5.2.3-0.3) experimental; urgency=low

  * remove useless and utterly wrong shell condition from prepare_db
    script (thanks to Jean Charles Delepine <email address hidden> for
    spotting this)
  * don't expose internal text to PO files (Closes: #343634, thanks to
    Denis Barbier <email address hidden>)
  * refrain from using sympa_wizard for upgrades, reinstate wwsympa_url
    Debconf setting
  * remove title setting from Debconf

 -- Stefan Hornburg (Racke) <email address hidden> Tue, 19 Dec 2006 00:08:06 +0100

sympa (5.2.3-0.2) experimental; urgency=low

  * create configuration file(s) in /etc/sympa (Closes: #402982, thanks to
    Jean Charles Delepine <email address hidden> for the report and the patch
  * preserve database user in Debconf question
  * explicitly set return value from database installation scripts
  * fix deprecated chown usage in postinst script
  * remove NLS directory
  * convert debian/control to UTF-8
  * updated German translation of Debconf templates (Closes: #313832,
    thanks to Jens Seidel <email address hidden>)
  * updated French translation of Debconf templates (Closes: #399488,
    thanks to Christian Perrier <email address hidden>)

 -- Stefan Hornburg (Racke) <email address hidden> Mon, 18 Dec 2006 11:33:21 +0100

sympa (5.2.3-0.1) experimental; urgency=low

  * new upstream release
  * replace obsolete msgcat setting in configuration file
  * ensure that /etc/sympa/data_structure.version exists and is writable by
    the sympa user (Closes: #401745)
  * remove cookie_domain and cookie_expire settings from Debconf

 -- Stefan Hornburg (Racke) <email address hidden> Mon, 18 Dec 2006 09:24:57 +0100

sympa (5.2.1-0.1) experimental; urgency=low

  * new upstream release (fixes CAS/LDAP authorization problem reported by
    Pierre Pattard <email address hidden>, Closes: #349883)
  * support for Apache2 added
  * run debconf-updatepo from clean target

 -- Stefan Hornburg (Racke) <email address hidden> Sat, 12 Aug 2006 22:13:40 +0200

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFwyBaggkdmlkhtdgRAmWWAJ9BCB/rYVBO/XIMYtqHLh+4tOT01QCePemc
wf7Fh6gXA9hEFKEhH+03sWE=
=dlfh
-----END PGP SIGNATURE-----

Martin Pitt (pitti) wrote : Fixed

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 status fixreleased

[Updating] sympa (4.1.5-8 [Ubuntu] < 5.2.3-1.2 [Debian])
 * Trying to add sympa...
  - <sympa_5.2.3-1.2.dsc: downloading from http://ftp.debian.org/debian/>
  - <sympa_5.2.3-1.2.diff.gz: downloading from http://ftp.debian.org/debian/>
  - <sympa_5.2.3.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
I: sympa [universe] -> sympa_4.1.5-8 [universe].

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFw2WrDecnbV4Fd/IRAkTXAJ4mFmgL7JZlU39H+8jfqCz5WxMLSgCfSWnQ
/sfpYa+OFQ95h6wZr5+jwGg=
=RX0v
-----END PGP SIGNATURE-----

Changed in sympa:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers